GWT 2.7.0

## com.google.gwt.user.client.ui
Class SuggestOracle.Response

    java.lang.Object
      com.google.gwt.user.client.ui.SuggestOracle.Response

All Implemented Interfaces:
  IsSerializable

Enclosing class:
  SuggestOracle

    public static class SuggestOracle.Response

extends java.lang.Object
implements IsSerializable

`SuggestOracle` response.

Can optionally have truncation information provided. To indicate that there are more results but the number is not known, use:

`response.setMoreSuggestions(true);`

Or to indicate more results with an exact number, use:

`response.setMoreSuggestionsCount(102);`

Constructor Summary
`SuggestOracle.Response()` Constructor for `SuggestOracle.Response`.
`SuggestOracle.Response(java.util.Collection<? extends SuggestOracle.Suggestion> suggestions)` Constructor for `SuggestOracle.Response`.

Method Summary
`int` | `getMoreSuggestionsCount()` Gets how many more suggestions there are.
`java.util.Collection<? extends SuggestOracle.Suggestion>` | `getSuggestions()` Gets the collection of suggestions.
`boolean` | `hasMoreSuggestions()` Gets whether or not the suggestion list was truncated due to the `SuggestOracle.Request.getLimit()`.
`void` | `setMoreSuggestions(boolean moreSuggestions)` Sets whether or not the suggestion list was truncated due to the `SuggestOracle.Request.getLimit()`.
`void` | `setMoreSuggestionsCount(int count)` Sets whether or not the suggestion list was truncated due to the `SuggestOracle.Request.getLimit()`, by providing an exact count of remaining suggestions.
`void` | `setSuggestions(java.util.Collection<? extends SuggestOracle.Suggestion> suggestions)` Sets the suggestions for this response.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SuggestOracle.Response

    public SuggestOracle.Response()

  Constructor for `SuggestOracle.Response`.

### SuggestOracle.Response

    public SuggestOracle.Response(java.util.Collection<? extends SuggestOracle.Suggestion> suggestions)

  Constructor for `SuggestOracle.Response`.

  Parameters:
    `suggestions` - each element of suggestions must implement the `SuggestOracle.Suggestion` interface

Method Detail

### getMoreSuggestionsCount

    public int getMoreSuggestionsCount()

  Gets how many more suggestions there are.

  Returns:
    the count. if there no more suggestions or the number of more suggestions is unknown, returns 0.

### getSuggestions

    public java.util.Collection<? extends SuggestOracle.Suggestion> getSuggestions()

  Gets the collection of suggestions. Each suggestion must implement the `SuggestOracle.Suggestion` interface.

  Returns:
    the collection of suggestions

### hasMoreSuggestions

    public boolean hasMoreSuggestions()

  Gets whether or not the suggestion list was truncated due to the `SuggestOracle.Request.getLimit()`.

### setMoreSuggestions

    public void setMoreSuggestions(boolean moreSuggestions)

  Sets whether or not the suggestion list was truncated due to the `SuggestOracle.Request.getLimit()`.

### setMoreSuggestionsCount

    public void setMoreSuggestionsCount(int count)

  Sets whether or not the suggestion list was truncated due to the `SuggestOracle.Request.getLimit()`, by providing an exact count of remaining suggestions.

  Parameters:
    `count` - number of truncated suggestions. Pass 0 to indicate there are no other suggestions, which is equivalent to `setMoreSuggestions(false)`.

### setSuggestions

    public void setSuggestions(java.util.Collection<? extends SuggestOracle.Suggestion> suggestions)

  Sets the suggestions for this response. Each suggestion must implement the `SuggestOracle.Suggestion` interface.

  Parameters:
    `suggestions` - the suggestions

GWT 2.7.0